> ## Documentation Index
> Fetch the complete documentation index at: https://tahsil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a manual assignment



## OpenAPI

````yaml /openapi/openapi.yaml delete /banks/transactions/{id}/assignments/{assignmentId}
openapi: 3.1.0
info:
  title: Tahsil API
  version: 1.0.0
  description: >-
    Tahsil müşterilerinin web ve mobil uygulamalarda kullandığı tenant-scoped
    müşteri API sözleşmesi.
servers:
  - url: https://api.tahsil.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Operations - Health
    description: Public liveness and dependency readiness probes.
  - name: Identity - Auth
    description: User login, refresh and logout flows for token-based access.
  - name: Banking - Accounts
    description: Bank account aggregation endpoints available to customer tenants.
  - name: Banking - Transactions
    description: Bank transaction ingestion and retrieval endpoints.
  - name: Banking - Automation
    description: Tenant transaction matching rules, assignments and historical runs.
  - name: Banking - Polling
    description: Polling schedule definitions for bank connector queries.
  - name: Banking - Dashboard
    description: Flexible tenant dashboard analytics and widget query endpoints.
  - name: Audit - Connector Logs
    description: Customer-visible bank connector request/response audit trail.
  - name: Payments - Orchestration
    description: Tenant Virtual POS, rate plan and payment intent orchestration.
paths:
  /banks/transactions/{id}/assignments/{assignmentId}:
    parameters:
      - $ref: '#/components/parameters/Id'
      - name: assignmentId
        in: path
        required: true
        schema:
          type: string
      - $ref: '#/components/parameters/XCompanyIdRequired'
    delete:
      tags:
        - Banking - Automation
      summary: Delete a manual assignment
      operationId: deleteBanksTransactionsByIdAssignmentsByAssignmentId
      responses:
        '200':
          $ref: '#/components/responses/StatusResponse'
        '409':
          $ref: '#/components/responses/StatusResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
    XCompanyIdRequired:
      name: x-company-id
      in: header
      required: true
      schema:
        type: string
      description: Target tenant company id for a write operation.
  responses:
    StatusResponse:
      description: Operation completed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: boolean
          example:
            status: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Update a manual assignment](/api-reference/banking--automation/update-a-manual-assignment.md)
- [Add or reactivate a protected manual assignment](/api-reference/banking--automation/add-or-reactivate-a-protected-manual-assignment.md)
- [List manual and automatic transaction assignments](/api-reference/banking--automation/list-manual-and-automatic-transaction-assignments.md)
- [Archive a rule without changing existing assignments](/api-reference/banking--automation/archive-a-rule-without-changing-existing-assignments.md)
- [Delete transaction record](/api-reference/banking--transactions/delete-transaction-record.md)
